
//----------------------------------------------------------------------------------------------------------------
// Class definition include
//----------------------------------------------------------------------------------------------------------------
#include "ContourThing.h"

//----------------------------------------------------------------------------------------------------------------
// Class implementation
//----------------------------------------------------------------------------------------------------------------
/** @file ContourThing.cxx */

//------------------------------------------------------------------------------------------------------------
// Constructors & Destructors
//------------------------------------------------------------------------------------------------------------

	/*
	* Creates a ContourThing 
	*/
	ContourThing :: ContourThing(manualContourModel * model)
	{
		setModel( model );
	}

	/*
	* Destroys a ContourThing 
	*/
	ContourThing :: ~ContourThing()
	{

	}

//------------------------------------------------------------------------------------------------------------
// Methods
//------------------------------------------------------------------------------------------------------------

	/*
	* 
	*/
	std::string ContourThing :: getName()
	{
		return outlineName;
	}

	/*
	*
	*/
	void ContourThing :: setName(std::string  aName)
	{
		outlineName = aName;
	}

	manualContourModel * ContourThing ::getModel()
	{
		return theModel;
	}

	void ContourThing :: setModel(manualContourModel * model)
	{
		theModel = model;
	}

	/*
	* Executes the given command if posible and returns is posible or not
	* @param theSpecificCommand Is the specific command to execute
	* @return Returns if the command was successfuly executed
	*/
	bool ContourThing :: executeCommand (CommandObject * theSpecificCommand)
	{
		return true;
	}

	/*
	* Interprets the given command and constructs the opposite command for returning it
	* @param theSpecificDOCommand Is the specific DO command 
	* @return Returns the UNDO command of the given one
	*/
	CommandObject * ContourThing :: getUndoCommandOf(CommandObject * theSpecificDOCommand)
	{
		ExecutableCommand * unDOcommand = new ExecutableCommand("UNDO command");
		return unDOcommand;
	}
   

